# nft_storage

_This client was generated via the OpenAPI schema and is experimental, unsupported, and may not work at all!_

NFTStorage - the Ruby gem for the NFT Storage API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build nft_storage.gemspec
```

Then either install the gem locally:

```shell
gem install ./nft_storage-1.0.0.gem
```

(for development, run `gem install --dev ./nft_storage-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'nft_storage', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/nftstorage/ruby-client, then add the following in the Gemfile:

    gem 'nft_storage', :git => 'https://github.com/nftstorage/ruby-client.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'nft_storage'

# Setup authorization
NFTStorage.configure do |config|
  # Configure Bearer authorization (JWT): bearerAuth
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = NFTStorage::NFTStorageAPI.new
cid = 'cid_example' # String | CID for the NFT

begin
  #Stop storing the content with the passed CID
  result = api_instance.delete(cid)
  p result
rescue NFTStorage::ApiError => e
  puts "Exception when calling NFTStorageAPI->delete: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://api.nft.storage*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*NFTStorage::NFTStorageAPI* | [**delete**](docs/NFTStorageAPI.md#delete) | **DELETE** /{cid} | Stop storing the content with the passed CID
*NFTStorage::NFTStorageAPI* | [**list**](docs/NFTStorageAPI.md#list) | **GET** / | List all stored files
*NFTStorage::NFTStorageAPI* | [**status**](docs/NFTStorageAPI.md#status) | **GET** /{cid} | Get information for the stored file CID
*NFTStorage::NFTStorageAPI* | [**store**](docs/NFTStorageAPI.md#store) | **POST** /upload | Store a file


## Documentation for Models

 - [NFTStorage::Deal](docs/Deal.md)
 - [NFTStorage::DeleteResponse](docs/DeleteResponse.md)
 - [NFTStorage::ErrorResponse](docs/ErrorResponse.md)
 - [NFTStorage::ErrorResponseError](docs/ErrorResponseError.md)
 - [NFTStorage::ForbiddenErrorResponse](docs/ForbiddenErrorResponse.md)
 - [NFTStorage::ForbiddenErrorResponseError](docs/ForbiddenErrorResponseError.md)
 - [NFTStorage::GetResponse](docs/GetResponse.md)
 - [NFTStorage::Links](docs/Links.md)
 - [NFTStorage::LinksFile](docs/LinksFile.md)
 - [NFTStorage::ListResponse](docs/ListResponse.md)
 - [NFTStorage::NFT](docs/NFT.md)
 - [NFTStorage::Pin](docs/Pin.md)
 - [NFTStorage::PinStatus](docs/PinStatus.md)
 - [NFTStorage::UnauthorizedErrorResponse](docs/UnauthorizedErrorResponse.md)
 - [NFTStorage::UnauthorizedErrorResponseError](docs/UnauthorizedErrorResponseError.md)
 - [NFTStorage::UploadResponse](docs/UploadResponse.md)


## Documentation for Authorization


### bearerAuth

- **Type**: Bearer authentication (JWT)

